Get workspace by subdomain
curl --request GET \
--url https://{workspace}.klef.ai/api/workspaces/{subdomain} \
--cookie klef.session=import requests
url = "https://{workspace}.klef.ai/api/workspaces/{subdomain}"
headers = {"cookie": "klef.session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'klef.session='}};
fetch('https://{workspace}.klef.ai/api/workspaces/{subdomain}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"name": "<string>",
"subdomain": "<string>",
"url": "<string>",
"role": "owner",
"avatarUrl": "<string>"
},
"errors": [
{
"errorCode": "validation_error",
"errorMessage": "<string>",
"target": "<string>"
}
]
}{
"result": "<unknown>",
"errors": [
{
"errorCode": "validation_error",
"errorMessage": "<string>",
"target": "<string>"
}
]
}{
"result": "<unknown>",
"errors": [
{
"errorCode": "validation_error",
"errorMessage": "<string>",
"target": "<string>"
}
]
}{
"result": "<unknown>",
"errors": [
{
"errorCode": "validation_error",
"errorMessage": "<string>",
"target": "<string>"
}
]
}Workspaces
Get workspace by subdomain
GET
/
workspaces
/
{subdomain}
Get workspace by subdomain
Authorizations
cookieAuthapiKeyAuth
Cookie-based session. Obtain by completing the /auth/login/{provider} OAuth flow; the /auth/callback response sets the klef.session cookie that subsequent requests send automatically.
Path Parameters
Was this page helpful?